QGIS Application - Bug report #6907
importing shapefile into PG with drag and drop does not work
2012-12-20 11:11 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16032
Description

| can import the attached shapefile using DB manager new "load layer" function, and it takes just a few seconds as it does SPIT, but if | try
to import it using the D&D from the qgis browser then the operation never ends (or if it ends it takes ages).

The issue seems to be the following:

the shape has already an "id" column and DB manager try to use the same name for the primary key. In QGIS 1.8 the import fails with an
error (column duplicate), while in master the process goes nowhere.

if the primary key column name is changed manually then it works as expected.

I'm testing using a local PG server.

Associated revisions

Revision 460f578d - 2013-01-07 01:01 AM - Jiirgen Fischer
- [API] add optional progress dialog to QgsVectorLayerlmport

- postgres/mssq|: fix primary key generation on import (fixes #6907)

- fix crash on browser refresh after vector layer import

History

#1 - 2012-12-31 01:23 AM - Paolo Cavallini
- Assignee changed from Giuseppe Sucameli to anonymous -

#2 - 2013-01-06 04:03 PM - Jiirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"460f578d937e640e1690af53c08710575012a620".

#3 - 2014-06-29 10:13 AM - Jiirgen Fischer

- Assignee deleted (anonymous -)

Files

shape.zip 2.24 MB 2012-12-20 Giovanni Manghi
